using System;
using System.Collections.Generic;

namespace TeslaConsole.RedPlanet;

[Serializable]
internal class ScoredEvent : MissionEvent
{
	public override IEnumerable<RPPlayer> InvolvedPilots => new RPPlayer[1] { ReportingPilot };

	public ScoredEvent(RPPlayer reportingPilot, TimeSpan missionTime)
		: base(reportingPilot, missionTime)
	{
	}

	private ScoredEvent()
	{
	}
}
